#! /bin/sh
# NTeX patch1.2.1 - Upgrading NTeX 1.2 to 1.2.1
# Frank Langbein
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# The installation directories:
TEXLIB=/usr/lib/texmf
TEXBIN=/usr/bin

cat <<EOF

Ugrading NTeX 1.2 to 1.2.1

EOF

if test ! -e $TEXLIB; then
  echo
  echo I cannot find the directory $TEXLIB! Either you did not install NTeX 1.2
  echo or you have moved the files into another directory. Please read README.patch1.
  echo
  exit -1
fi

if test ! -e $TEXBIN; then
  echo
  echo I cannot find the directory $TEXBIN! Either you did not install NTeX 1.2
  echo or you have moved the files into another directory. Please read README.patch1.
  echo
  exit -1
fi

if test -e $TEXLIB/tools/patch1_2_1; then
   echo You already upgraded to 1.2.1!
   echo -n "Do you want to continue? [Y/N] "
   read A
   if test "$A" = "N" -o "$A" = "n"; then
      exit 0
   fi
   echo
fi

cat <<EOF
Removing bugs reported by Thomas Esser (te@informatik.uni-hannover.de):
1) ntb-xdvi.cfg now deletes the XDvi config file if it exists in <apps-default>
   before it creates the symbolic link. 
EOF
rm -f $TEXLIB/tools/ntb-xdvi.cfg
cp ./ntb-xdvi.cfg $TEXLIB/tools/ntb-xdvi.cfg
chmod 0744 $TEXLIB/tools/ntb-xdvi.cfg

echo 2\) Replaceing MakeTeXPK - now every created file gets the permissions 0664.
rm -f $TEXBIN/MakeTeXPK
cp ./MakeTeXPK $TEXBIN/MakeTeXPK
chmod 0755 $TEXBIN/MakeTeXPK

cat <<EOF
3) There are still some directories in $TEXLIB that have the permisisons
   0777. Should I change this now to 0755 and change the permissions for the
EOF
echo -n "   $TEXLIB/fonts/tmp/* directories to 1777? [Y/] "
read A  
if test "$A" = "Y" -o "$A" = "y"; then
  echo -n "   Changing the permisisons in $TEXLIB"
  chmod 0755 `find $TEXLIB -type d -perm -2`
  chmod 1777 `find $TEXLIB/fonts/tmp -type d`  
  echo
fi

echo
echo 4\) Installing my old xdvi version as $TEXBIN/xdvi_old.
cp ./xdvi_old $TEXBIN/xdvi_old
chmod 0755 $TEXBIN/xdvi_old

echo
echo 5\) Installing a4wide.sty in $TEXLIB/tex/latex/sty. It was send in
echo "   by Ludwig Holzleitner."
cp ./a4wide.sty $TEXLIB/tex/latex/sty/a4wide.sty
chmod 0644 $TEXLIB/tex/latex/sty/a4wide.sty

echo 
echo 6\) Installing mathsymb.sty in $TEXLIB/tex/latex/sty.
cp ./mathsymb.sty $TEXLIB/tex/latex/sty/mathsymb.sty
chmod 0644 $TEXLIB/tex/latex/sty/mathsymb.sty

echo
echo "Upgraded from NTeX 1.2 to 1.2.1" >$TEXLIB/tools/patch1_2_1
echo
echo Done.
echo
